diff --git a/CMakeLists.txt b/CMakeLists.txt
index b549d2f..b7cfec8 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -18,17 +18,15 @@
 
 project(vcml)
 cmake_minimum_required(VERSION 3.5)
+include(${CMAKE_BINARY_DIR}/conanbuildinfo.cmake)
+conan_basic_setup(TARGETS)
 
 option(VCML_BUILD_TESTS "Build unit tests" OFF)
 option(VCML_BUILD_UTILS "Builds utility programs" ON)
 option(VCML_BUILD_PIC   "Build position independent code" ON)
 
-list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
-find_package(SystemC "2.3.0" REQUIRED)
-find_package(LibELF REQUIRED)
 find_package(LibVNC)
 
-set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror")
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DVCML_DEBUG")
 
@@ -114,11 +112,9 @@ set(sources
 add_library(vcml ${sources})
 target_include_directories(vcml PUBLIC ${inc})
 target_include_directories(vcml PRIVATE ${src})
-target_include_directories(vcml SYSTEM PUBLIC ${SYSTEMC_INCLUDE_DIRS})
-target_include_directories(vcml SYSTEM PUBLIC ${LIBELF_INCLUDE_DIRS})
 
-target_link_libraries(vcml PUBLIC ${SYSTEMC_LIBRARIES})
-target_link_libraries(vcml PUBLIC ${LIBELF_LIBRARIES})
+target_link_libraries(vcml PUBLIC CONAN_PKG::SystemC)
+target_link_libraries(vcml PUBLIC CONAN_PKG::libelf)
 target_link_libraries(vcml PUBLIC -rdynamic)
 target_link_libraries(vcml PUBLIC -pthread)
 target_link_libraries(vcml PUBLIC -lrt)
diff --git a/include/vcml/common/types.h b/include/vcml/common/types.h
index 5ac8840..3925b99 100644
--- a/include/vcml/common/types.h
+++ b/include/vcml/common/types.h
@@ -24,6 +24,7 @@
 #endif
 
 #include <stdint.h>
+#include <unistd.h>
 #include <time.h>
 
 #include <vector>
